services:
    app.authentication.verification.token_generator.portal_user:
        class: App\Service\Authentication\Verification\Generator\VerificationTokenGenerator
        arguments:
            - '@app.authentication.verification.checker'
            - '%app.authentication.portal.verification.token_length%'

    App\Service\Authentication\Verification\Generator\VerificationTokenGeneratorInterface:
        alias: app.authentication.verification.token_generator.portal_user
